System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

You can use the overloaded static method of this class in data-binding syntax in an ASP.NET Web page. This provides an easier syntax to work with than standard data binding. However, because DataBinder.Eval provides automatic type conversion, it can result in slower performance.

For more information about ASP.NET data binding, expressions, and syntax, see Data Binding and Data-Binding Expression Syntax.

Starting in .NET Framework 4.5, you can use model binding to simplify some of the tasks that you had to perform through data-binding in earlier versions. For a tutorial series on using model binding with Web Forms, see Model Binding and Web Forms.

Provides support for rapid application development (RAD) designers to generate and parse data-binding expression syntax. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object `` ``

  The value of the parameter must evaluate to a public property.

  This method is automatically called when you create data bindings in a rapid application development (RAD) designer such as Visual Studio. You can also use it declaratively to simplify casting to a text string. To do so, you use the <%# %> expression syntax, as used in standard ASP.NET data binding.

  This method is particularly useful when binding data to controls that are in a templated list.

  Because this method performs late-bound evaluation, using reflection at run time, it can cause performance to noticeably slow compared to standard ASP.NET data-binding syntax.

  For any of the list Web controls, such as , , , or , should be Container.DataItem. If you are binding against the page, should be Page.

  Starting in .NET Framework 4.5, you can use model binding to simplify some of the tasks that you had to perform through data-binding in earlier versions. For a tutorial series on using model binding with Web Forms, see Model Binding and Web Forms.

  Evaluates data-binding expressions at run time.

  An instance that results from the evaluation of the data-binding expression.

  The object reference against which the expression is evaluated. This must be a valid object identifier in the page's specified language. The navigation path from the object to the public property value to be placed in the bound control property. This must be a string of property or field names separated by periods, such as Tables[0].DefaultView.[0].Price in C# or Tables(0).DefaultView.(0).Price in Visual Basic. 1.0.5000.0 2.0.0.0
- Method
  System.String `` `` ``

  The value of must evaluate to a public property.

  For more information about format strings in the .NET Framework, see Formatting Overview.

  This method is automatically called when you create data bindings in a rapid application development (RAD) designer such as Visual Studio. You can also use it declaratively to convert the resulting from the data-binding expression to a . To use the method declaratively, use the <%# %> expression syntax, as used in standard ASP.NET data binding.

  This method is particularly useful when binding data to controls that are in a templated list.

  Because this method performs late-bound evaluation, using reflection at run time, it can cause performance to noticeably slow compared to standard ASP.NET data-binding syntax. Use this method judiciously, particularly when string formatting is not required.

  For any of the list Web controls, such as , , , or , should be Container.DataItem. If you are binding against the page, should be Page.

  Starting in .NET Framework 4.5, you can use model binding to simplify some of the tasks that you had to perform through data-binding in earlier versions. For a tutorial series on using model binding with Web Forms, see Model Binding and Web Forms.

  Evaluates data-binding expressions at run time and formats the result as a string.

  A object that results from evaluating the data-binding expression and converting it to a string type.

  The object reference against which the expression is evaluated. This must be a valid object identifier in the page's specified language. The navigation path from the object to the public property value to be placed in the bound control property. This must be a string of property or field names separated by periods, such as Tables[0].DefaultView.[0].Price in C# or Tables(0).DefaultView.(0).Price in Visual Basic. A .NET Framework format string (like those used by ) that converts the instance returned by the data-binding expression to a object. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Object ``

  This method calls the method, ignoring its parameter when returning the result.

  An object's data item is identified in one of two ways. If the container object implements the interface, the property identifies the data item, and its value is returned. Otherwise, the method attempts to resolve and return a container property named "DataItem".

  Retrieves an object's declared data item.

  An object that represents the container's declared data item. Returns null if no data item is found or if the container evaluates to null.

  The object reference against which the expression is evaluated. This must be a valid object identifier in the page's specified language.
- Method
  2.0.0.0
  System.Object `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Object `` ``

  The value of must evaluate to a public property.

  For any of the list Web controls, such as , , , or , should be Container.DataItem. If you are binding against the page, should be Page.

  Retrieves the value of a property of the specified container and navigation path.

  An object that results from the evaluation of the data-binding expression.

  The object reference against which is evaluated. This must be a valid object identifier in the specified language for the page. The navigation path from the object to the public property value to place in the bound control property. This must be a string of property or field names separated by periods, such as Tables[0].DefaultView.[0].Price in C# or Tables(0).DefaultView.(0).Price in Visual Basic. 1.0.5000.0 2.0.0.0
- Method
  System.String `` `` `` a

  The method invokes the method, and then uses the method to format the result as specified in the parameter. A .NET Framework format string (like those used by ) converts the instance returned by the data-binding expression to a object.

  Exceptions that are thrown for the method apply to the method as well.

  Retrieves the value of the specified property for the specified container, and then formats the results.

  The value of the specified property in the format specified by .

  The object reference against which the expression is evaluated. This must be a valid object identifier in the specified language for the page. A string that specifies the format in which to display the results. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` ``

  The method is used to retrieve the value of a property in an object.

  Retrieves the value of the specified property of the specified object.

  The value of the specified property.

  The object that contains the property. The name of the property that contains the value to retrieve. 1.0.5000.0 2.0.0.0
- Method
  System.String `` `` ``

  This version of the method is used to retrieve and format the value of a property in an object.

  Retrieves the value of the specified property of the specified object, and then formats the results.

  The value of the specified property in the format specified by .

  The object that contains the property. The name of the property that contains the value to retrieve. A string that specifies the format in which to display the results. 1.0.5000.0 2.0.0.0